Bug 209801 - [update] security/p5-Dancer2-Plugin-Auth-Extensible from 0.501 to 0.502
Summary: [update] security/p5-Dancer2-Plugin-Auth-Extensible from 0.501 to 0.502
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-27 19:56 UTC by Henk van Oers
Modified: 2016-05-27 20:17 UTC (History)
2 users (show)

See Also:
hvo.pm: maintainer-feedback+


Attachments
The diff (1.62 KB, patch)
2016-05-27 19:56 UTC, Henk van Oers
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Henk van Oers 2016-05-27 19:56:41 UTC
Created attachment 170734 [details]
The diff

This version does not depend on Unix::Passwd::File anymore.
All tests pass.
https://metacpan.org/source/HORNBURG/Dancer2-Plugin-Auth-Extensible-0.502/Changes

0.502 Thu 11 Feb 16:06:29 CET 2016
 
    [BUG FIXES]
 
    * Use getpwnam/getgrent in Unix provider instead of Unix::Passwd::File.
      In addition to the obvious benefit of removing a dependency this also
      solves a problem with Unix::Passwd::File where it likes to lock the
      passwd file but that will fail if the user does not have permissions
      which is normal for a web app (Peter Mottram).
      Thanks to Jason Lewis for the heads up about this issue.
Comment 1 Kurt Jaeger freebsd_committer 2016-05-27 20:17:12 UTC
Committed, thanks!
Comment 2 commit-hook freebsd_committer 2016-05-27 20:17:53 UTC
A commit references this bug:

Author: pi
Date: Fri May 27 20:16:56 UTC 2016
New revision: 415964
URL: https://svnweb.freebsd.org/changeset/ports/415964

Log:
  security/p5-Dancer2-Plugin-Auth-Extensible: 0.501 -> 0.502

  Changes:
    https://metacpan.org/source/HORNBURG/Dancer2-Plugin-Auth-Extensible-0.502/Changes
  - Use getpwnam/getgrent in Unix provider instead of Unix::Passwd::File.
    In addition to the obvious benefit of removing a dependency this also
    solves a problem with Unix::Passwd::File where it likes to lock the
    passwd file but that will fail if the user does not have permissions
    which is normal for a web app (Peter Mottram).
    Thanks to Jason Lewis for the heads up about this issue.

  PR:		209801
  Submitted by:	Henk van Oers <hvo.pm@xs4all.nl> (maintainer)

Changes:
  head/security/p5-Dancer2-Plugin-Auth-Extensible/Makefile
  head/security/p5-Dancer2-Plugin-Auth-Extensible/distinfo